package com.jkcredit.sysnews.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.UUID;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 0:54
 * @version: V1.0
 **/
@Slf4j
public class UploadUtil {
    public static String upload(MultipartFile file, String path) {
        String realPath = path + File.separator + UUID.randomUUID().toString().replace("-","") + "-" + file.getOriginalFilename();
        try {
            File dest = new File(realPath);
            if (!dest.getParentFile().exists()) {
                dest.getParentFile().mkdir();
            }
            file.transferTo(dest);
            return realPath;
        } catch (IOException e) {
            log.error("图片上传错误，错误原因：{}", e.getMessage(), e);
            return null;
        }
    }
}
